## net-tools 1.60+git20150829.73cef8a

=== debian/control ===
Source: net-tools
Section: net
Priority: important
Build-Depends: debhelper (>> 9), gettext, libdnet-dev, libselinux1-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: net-tools Team <pkg-net-tools-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/net-tools/
Vcs-Git: https://anonscm.debian.org/git/pkg-net-tools/pkg-net-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-net-tools/pkg-net-tools.git

Package: net-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: netbase (<< 4.00), ja-trans (<= 0.8-2)
Conflicts: ja-trans (<= 0.8-2)
Description: NET-3 networking toolkit
 This package includes the important tools for controlling the network
 subsystem of the Linux kernel.  This includes arp, ifconfig, netstat, 
 rarp, nameif and route.  Additionally, this package contains utilities
 relating to particular network hardware types (plipconfig, slattach, 
 mii-tool) and advanced aspects of IP configuration (iptunnel, ipmaddr).
 .
 In the upstream package 'hostname' and friends are included. Those are
 not installed by this package, since there is a special "hostname*.deb".
