## net-tools 1.60+git20161116.90da8a0

=== debian/changelog ===
net-tools (1.60+git20161116.90da8a0-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu_unit_conversion.patch:
      + Ubuntu Policy: output using standard SI unit multiples:
        KB (10^3), MB (10^6), GB (10^9), TB (10^12) and PB (10^15).
        Includes manpage update to remove comment about IEC units.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 Jan 2017 06:25:08 +0200

net-tools (1.60+git20161116.90da8a0-1) unstable; urgency=medium

  * New upstream snapshot.
  * Re-synced translations.patch.
  * Acknowledge NMUs. Thanks a lot to Andrey Rahmatullin for the
    fixes and uploads. Closes: 846509.
  * Fix FTCBFS, thanks to Helmut Grohne for the patch. Closes: #811561.
    + Really assign CC for cross compilation.
    + Use triplet prefixed pkg-config.
  * Add debian/NEWS warning about changing output in net-tools commands.
    Closing bugs that reported problems in 3rd-party scripts arising from these
    changes.  Closes: #845153, #843892, #820212.
  * Update Standards-Version, with no changes.

 -- Martín Ferrari <tincho@debian.org>  Mon, 26 Dec 2016 05:58:42 +0000

net-tools (1.60+git20150829.73cef8a-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply an additional fix for the previous FTBFS for some architectures.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 01 Dec 2016 22:49:27 +0500

net-tools (1.60+git20150829.73cef8a-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by applying the upstream patch (Closes: #844073).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 20 Nov 2016 15:23:12 +0500

net-tools (1.60+git20150829.73cef8a-2ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu_unit_conversion.patch:
      + Ubuntu Policy: output using standard SI unit multiples:
        KB (10^3), MB (10^6), GB (10^9), TB (10^12) and PB (10^15).
        Includes manpage update to remove comment about IEC units.
  * Dropped changes, included in Debian:
    - Make the package Multi-Arch: foreign.
  * Dropped changes:
    - Update Bug#254243-netstat.c-wide-opt.patch: no longer required,
      appears to be fixed upstream per output of 'netstat -W -6 -n -l'.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 May 2016 09:30:41 -0700

net-tools (1.60+git20150829.73cef8a-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Enable SELinux support. Closes: #666204.

  [ Martín Ferrari ]
  * Mark the package "Multi-Arch: foreign", thanks to Frédéric Brière
    <fbriere@fbriere.net>. Closes: #752584.
  * Fix bug in Portuguese man page, thanks to julianofischer@gmail.com.
    Closes: #805377.

 -- Martín Ferrari <tincho@debian.org>  Thu, 19 Nov 2015 14:48:47 +0000

net-tools (1.60+git20150829.73cef8a-1) unstable; urgency=medium

  * After 14 years without an upstream release, I am producing a new package
    based on today's upstream repository.
    Closes: #391495, #486448, #323261, #260587, #545328, #511395.
  * Remove many patches now merged upstream, delete unmaintainable and
    undocumented local changes, and update the rest.

 -- Martín Ferrari <tincho@debian.org>  Mon, 07 Sep 2015 01:54:07 +0000

net-tools (1.60-27) unstable; urgency=medium

  * Add patch to accept "pointtopoint" as a synonym for "pointopoint".
    Closes: #443075.
  * Add patch to add an example for single route deletion in route.8.
    Closes: #500913.
  * Remove Luk from Uploaders as per his request. Closes: #748491.
  * Fix broken watchfile, thanks to Martin Bagge for the patch.
    Fix upstream homepage. Closes: #770070.
  * Add patch to make mii-tool scan all ethernet devices instead of eth[0-7].
    Closes: #532879, #319508.
  * Add Vcs fields.
  * Update build system to debhelper 9 and 3.0 source format.
  * Update ancient Standards-Version, no changes needed.

 -- Martín Ferrari <tincho@debian.org>  Sun, 06 Sep 2015 17:44:11 +0300

net-tools (1.60-26ubuntu1) utopic; urgency=low

  * Merge from Debian unstable (LP: #1251563). Remaining changes:
    - Ubuntu_unit_conversion.patch:
      + Ubuntu Policy: output using standard SI unit multiples:
        KB (10^3), MB (10^6), GB (10^9), TB (10^12) and PB (10^15).
        Includes manpage update to remove comment about IEC units.
    - Update Bug#254243-netstat.c-wide-opt.patch:
      + Increase size of remote and local address buffers 64->128.
    - Make the package Multi-Arch: foreign.
  * Dropped overlapping changes in Bug#254243-netstat.c-wide-opt.patch with:
    - Bug#508110-inet6.c-initialize_fields.patch
    - Bug#632660-netstat.c-long_udp6_addr.patch

 -- James Page <james.page@ubuntu.com>  Mon, 30 Jun 2014 12:10:24 +0100

net-tools (1.60-26) unstable; urgency=low

  * Fix wrong exit codes in netstat.c, closes: #541172.
  * Add patch to stop buffer overflows in route -6. Closes: #747006.
  * Add patch to fix wide display for long udp and raw addresses.
    Closes: #632660.
  * Add patch to fix mishandling of 64bit integers in netstat -s.
    Closes: #561161.
  * Add patch to fix printing of uninitialised ipv6 data in netstat.
    Closes: #508110.
  * debian/control: Add ${misc:Depends}, remove 'the' from description.
  * debian/rules: Add missing build-arch and build-indep targets.

 -- Martín Ferrari <tincho@debian.org>  Mon, 12 May 2014 05:12:20 +0000

net-tools (1.60-25ubuntu2) trusty; urgency=medium

  * Make the package Multi-Arch: foreign.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Dec 2013 15:53:10 +0100

net-tools (1.60-25ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubuntu_unit_conversion.patch:
      + Ubuntu Policy: output using standard SI unit multiples:
        KB (10^3), MB (10^6), GB (10^9), TB (10^12) and PB (10^15).
        Includes manpage update to remove comment about IEC units.
    - Update Bug#254243-netstat.c-wide-opt.patch:
      + Do not truncate udp6 addresses when using -W.
      + Initialise unused bytes in the v6 address structures.


