=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: net-tools Team <pkg-net-tools-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://sourceforge.net/projects/net-tools/
 Vcs-Git: https://anonscm.debian.org/git/pkg-net-tools/pkg-net-tools.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-net-tools/pkg-net-tools.git
