=== debian/changelog ===
net-tools (1.60+git20180626.aebd88e-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu_unit_conversion.patch:
      + Ubuntu Policy: output using standard SI unit multiples:
        KB (10^3), MB (10^6), GB (10^9), TB (10^12) and PB (10^15).
        Includes manpage update to remove comment about IEC units.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Feb 2019 10:07:53 -0800

net-tools (1.60+git20180626.aebd88e-1) unstable; urgency=medium

  * New upstream snapshot
  * Refresh patches.
  * Fix typos in German manpages. Thanks to Prof. Dr. Steffen Wendzel and
    Dr. Tobias Quathamer for the patch. Closes: #900962.

 -- Martín Ferrari <tincho@debian.org>  Mon, 24 Sep 2018 19:08:57 +0000

net-tools (1.60+git20161116.90da8a0-4) unstable; urgency=medium

  * Update maintainer email address. Closes: #899617.
  * Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Mon, 24 Sep 2018 17:16:31 +0000

net-tools (1.60+git20161116.90da8a0-3) unstable; urgency=medium

  * debian/control: Update Vcs-* and Standards-Version.
  * debian/control: remove references to ancient package ja-trans.
  * debian/gbp.conf: Update repo layout.

 -- Martín Ferrari <tincho@debian.org>  Tue, 31 Jul 2018 19:09:00 +0000

net-tools (1.60+git20161116.90da8a0-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu_unit_conversion.patch:
      + Ubuntu Policy: output using standard SI unit multiples:
        KB (10^3), MB (10^6), GB (10^9), TB (10^12) and PB (10^15).
        Includes manpage update to remove comment about IEC units.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 May 2018 22:23:51 -0700

net-tools (1.60+git20161116.90da8a0-2) unstable; urgency=medium

  * Fix typo in French manpage. Thanks to  Michel Grigaut for the patch.
  * Add manpage for iptunnel, thanks to Sergio Durigan Junior.
    Closes: #88910
  * Rename patches so CME does not choke on them.
  * Automated cme fixes; packaging improvements.
  * Remove unused and ancient patch.

 -- Martín Ferrari <tincho@debian.org>  Sun, 11 Feb 2018 17:29:24 +0000
