=== debian/watch ===
version=3

https://qa.debian.org/watch/sf.php/net-tools/ \
    net-tools-(\d+\.\d+(?:\.\d+)?)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
