=== debian/changelog ===
net-tools (1.60+git20181103.0eebece-1ubuntu5.4) jammy-security; urgency=medium

  * SECURITY REGRESSION: Fix regression in statistics info
    - debian/patches/CVE-2025-46836-fix-regression.patch: fix statistic
      regression in lib/interface.c  (LP: #2111912).

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 28 May 2025 10:13:23 -0300

net-tools (1.60+git20181103.0eebece-1ubuntu5.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Code execution or crash
    - debian/patches/CVE-2025-46836.patch: fix stack-based buffer
      overflow in get_name() in lib/interface.c.
    - CVE-2025-46836

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 16 May 2025 05:22:47 -0300

net-tools (1.60+git20181103.0eebece-1ubuntu5) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:20:48 +0100

net-tools (1.60+git20181103.0eebece-1ubuntu4) jammy; urgency=low

  * Add new DEP8 tests for hostname and ifconfig (LP: #1679346):
    - d/t/control: add hostname-set-get and ifconfig-lo-info
    - d/t/hostname-set-get: new test
    - d/t/ifconfig-lo-info: new test

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 22 Oct 2021 07:49:06 -0700

net-tools (1.60+git20181103.0eebece-1ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:21:22 +0200

net-tools (1.60+git20181103.0eebece-1ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:18:30 +0000

net-tools (1.60+git20181103.0eebece-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu_unit_conversion.patch:
      + Ubuntu Policy: output using standard SI unit multiples:
        KB (10^3), MB (10^6), GB (10^9), TB (10^12) and PB (10^15).
        Includes manpage update to remove comment about IEC units.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Feb 2021 12:36:42 +0000

net-tools (1.60+git20181103.0eebece-1) unstable; urgency=medium

  * New upstream version 1.60+git20181103.0eebece
    - Fix nstrcmp() to prevent ifconfig from showing
      duplicate interfaces. (Closes: #812886)
  * Fix d/watch to point to upstream git repository
  * Add patch to fix decoding of MII vendor ids. (Closes: #549397)
    - Thanks, Ben Hutchings, for the patch.
  * Add patch to fix Japanese translation which uses a wrong
    Kanji character. (Closes: #621752)
    - Thanks, Takeshi Hamasaki, for the patch.
  * Add patch to fix wrong indentation of "collisions" in  the
    Japanese translation. (Closes: #653117)
    - Thanks, NODA, Kai, for the patch.
  * Fix Uploaders' field.
    - Add myself as an uploader.
    - Fix Tina's details.

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 02 Oct 2020 15:01:04 +0530

net-tools (1.60+git20180626.aebd88e-1ubuntu2) groovy; urgency=medium

  * No change rebuild against new CET ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jul 2020 18:28:55 +0100
