=== debian/changelog ===
net-tools (1.60-15ubuntu2) breezy; urgency=low

  * Look up TCP/UDP protocol numbers using correct protocol, not
    always UDP.  (Bug introduced in 1.60-15ubuntu1.)
    Ubuntu 7294, Debian #254243.

 -- Ian Jackson <iwj@ubuntu.com>  Thu, 29 Sep 2005 18:02:23 +0100

net-tools (1.60-15ubuntu1) breezy; urgency=low

  * Do not truncate numeric IPv6 addresses in netstat TCP and UDP.
    The new output format is not parseable with the same algorithms as
    before because it will be flexible about field widths, but it will not
    be used unless it is necessary to avoid truncating numeric addresses,
    so no existing non-broken netstat-output parsing code will be broken.
    (Also: made 4 copies(!) of endpoint formatting code into one
    common function.  Urgh.)  Ubuntu 7294, Debian #254243.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 20 Sep 2005 15:28:53 +0100

net-tools (1.60-13) unstable; urgency=low  Thu, 30 Jun 2005 20:49:57 +0200

  * X25 code compiles with 2.4 and 2.6 kernel headers (Closes: Bug#271678)
  * IMPORTANT: make ifconfig show alias interfaces in 2.6 again. 
  * resort media type array to match kernel (Closes: Bug#199920)

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 17 May 2005 01:28:51 +0200
