## net-tools 1.60-23maemo1

=== debian/changelog ===
net-tools (1.60-23maemo1) fremantle; urgency=low

  * Initial release for maemo, only includes netstat

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 30 Jun 2010 03:35:26 +0300
