=== debian/control ===
Source: net-tools
Section: net
Priority: important
Build-Depends: debhelper (> 5), gettext, quilt
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com> 
XSBC-Original-Maintainer: net-tools Team <pkg-net-tools-maintainers@lists.alioth.debian.org>, Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Luk Claes <luk@debian.org>, Martín Ferrari <tincho@debian.org>
Standards-Version: 3.8.1

Package: netstat
Architecture: any
Depends: ${shlibs:Depends}
Replaces: netbase (<< 4.00), ja-trans (<= 0.8-2)
Conflicts: ja-trans (<= 0.8-2)
Description: Non busybox netstat in a small easy to install package.
