## net-tools 1.60-cl4.3.1u4

=== debian/changelog ===
net-tools (1.60-cl4.3.1u4) RELEASED; urgency=medium

  * new build for 4.3.1 from original hash
    cd413c103e15f5ee1a1d10f8e1b2c239abe07623

 -- root <root@3da22e72fb7c>  Wed, 15 Jun 2022 00:55:55 +0000

net-tools (1.60-cl4u1) RELEASED; urgency=medium

  [ Cumulus Networks ]
  * Initial import of debian buster net-tools 1.60+git20180626.aebd88e

  [ Roopa Prabhu ]
  * lib: interfaces: allow more room in iface name format specifier to avoid truncation

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Thu, 18 Apr 2019 14:19:40 -0700
