=== debian/control ===
Source: net-tools
Maintainer: net-tools Team <team+net-tools@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
Section: net
Priority: important
Build-Depends: debhelper (>> 11),
               gettext,
               libdnet-dev,
               libselinux1-dev,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/net-tools
Vcs-Git: https://salsa.debian.org/debian/net-tools.git
Homepage: http://sourceforge.net/projects/net-tools/
XS-Build-Source: True
XS-Cumulus-Valid-Arch: amd64 armel
XBCS-Vcs-Hash: cd413c103e15f5ee1a1d10f8e1b2c239abe07623

Package: net-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: NET-3 networking toolkit
 This package includes the important tools for controlling the network
 subsystem of the Linux kernel.  This includes arp, ifconfig, netstat,
 rarp, nameif and route.  Additionally, this package contains utilities
 relating to particular network hardware types (plipconfig, slattach,
 mii-tool) and advanced aspects of IP configuration (iptunnel, ipmaddr).
 .
 In the upstream package 'hostname' and friends are included. Those are
 not installed by this package, since there is a special "hostname*.deb".
XBCS-Vcs-Hash: cd413c103e15f5ee1a1d10f8e1b2c239abe07623
